%define prerel 0

%define qtmajor 5
%define qtminor 4
%define qtsubminor 2
%define major 1

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtenginio %mklibname qtenginio %qtmajor
%define libqtenginio_d %mklibname qt5enginio -d
%define libqtenginio_p_d %mklibname qt5enginio-private  -d

%if %prerel
%define qttarballdir qtenginio-opensource-src-%{qtversion}-RC
%else
%define qttarballdir qtenginio-opensource-src-%{qtversion}
%endif
Name: qtenginio5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
Patch0: qtenginio-opensource-src-5.3.0-include-path.patch
BuildRequires: qtbase5-devel >= %version
BuildRequires: qt5quick-devel >= %version
BuildRequires: qtcore5-private-devel >= %version
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Client library for accessing Enginio service from Qt and QML code.

%files
%{_qt5_prefix}/qml/Enginio
#------------------------------------------------------------------------------

%package -n %{libqtenginio}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtenginio}
Qt%{qtmajor} Component Library.

%files -n %{libqtenginio}
%{_qt5_libdir}/libEnginio.so.%{major}*

#------------------------------------------------------------------------------

%package -n %{libqtenginio_d}
Summary: Devel files needed to build apps based on QtEnginio
Group:    Development/KDE and Qt
Requires: %{libqtenginio} = %version
Provides: libqtenginio5-devel = %version
Provides: libqt5enginio-devel = %version
Provides: qtenginio5-devel = %version
Provides: qt5enginio-devel = %version

%description -n %{libqtenginio_d}
Devel files needed to build apps based on QtEnginio.

%files -n %{libqtenginio_d}
%{_qt5_libdir}/libEnginio.so
%{_qt5_libdir}/libEnginio.prl
%{_qt5_libdir}/pkgconfig/Enginio.pc
%{_qt5_includedir}/Enginio
%{_qt5_datadir}/mkspecs/modules/qt_lib_enginio.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_enginio_private.pri
%{_qt5_libdir}/cmake/Qt5Enginio
%{_qt5_examplesdir}/enginio

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir
%apply_patches

%build
%qmake_qt5
%make
#------------------------------------------------------------------------------

%install
%qmakeinstall_std

rm -f %{buildroot}%{_qt5_libdir}/libEnginio.la


%changelog
* Sat Aug 01 2015 filipesaraiva <filipesaraiva> 5.4.2-1.mga5
+ Revision: 860442
- Fix patch to add include path in .pro files;
- Update to Qt 5.4.2;
- Fix URL to new address qt.io;

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801799
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 749364
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738089
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639775
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624086
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621411
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612408
- update file list
- more include patch
- br quick5
- drop .la file
- update file list
- add br
- more include
- try using pwd
- fix include path
- imported package qtenginio5

